making Mint14 kde 64 bit multiarch problem

Forum rules
Before you post please read this

making Mint14 kde 64 bit multiarch problem

Postby frisil on Wed May 08, 2013 5:23 pm

Hi,
in order to play the latest humblebundle games (check 'em out, looks promising, especially Brütal Legend) I have to turn my Mint 14 kde 64bit system multiarch, because the installers and games are 32 bit binaries. If I remember correctly, in order to do so I have to install the 32bit shared libs. So I tried to install ia32-libs via synaptic, but it tells me it has to uninstall kde-workspace. kde-workspace-bin and plasma-desktop, which of course would break my system. I'm using the latest kde version installed by enabling the backports und doing a dist upgrade.

Any idea how to prevent that (I don't understand why some shared libs for 32 bit programs should be conflicting with kde) and turn my system multiarch the save way? Thanks for any help in advance!
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Linux Mint is funded by ads and donations.
 

Re: making Mint14 kde 64 bit multiarch problem

Postby xenopeek on Thu May 09, 2013 2:49 am

Keyword being multiarch, try instead the package ia32-libs-multiarch :wink: That should work fine.
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14664
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: making Mint14 kde 64 bit multiarch problem

Postby frisil on Thu May 09, 2013 4:04 pm

I searched for this keyword, but I didn't get this search result. There seems to be no such package, only ia32-libs but no ia32-libs-multiarch. Even when I specifically search for the latter I only get the former as single result.

A little googling came up with this workaround:

Code: Select all
sudo dpkg --add-architecture i386
apt update


but it also said it was for the RC version only as this problem was fixed later on and using this workaround could break normal updates. Should I try anyway?
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Re: making Mint14 kde 64 bit multiarch problem

Postby xenopeek on Thu May 09, 2013 4:15 pm

Nope, don't do that. The RC problem you refer to was already fixed for the KDE and Xfce releases of Linux Mint 14. Try instead:
Code: Select all
apt install ia32-libs-multiarch
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14664
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: making Mint14 kde 64 bit multiarch problem

Postby frisil on Thu May 09, 2013 6:38 pm

I already tried that, it's the same as trying to install ia32-libs. Apt says:

Die folgenden Pakete werden ENTFERNT: [the following packages are to be REMOVED]
kde-workspace kde-workspace-bin kscreensaver kscreensaver-xsavers kscreensaver-xsavers-extra
plasma-desktop plasma-netbook


I also tried to use
Code: Select all
aptitude install ia32-libs-multiarch
and its solution sounds equally bad:

Die folgenden Aktionen werden diese Abhängigkeiten auflösen:
[the following actions will resolve the dependencies]

Entfernen der folgenden Pakete:
[removing the following packages]

1) libegl1-mesa-drivers

Die folgenden Abhängigkeiten unaufgelöst lassen:
[leave the following dependencies unresolved]

2) libegl1-mesa empfiehlt libegl1-mesa-drivers


This solution will break graphics acceleration, am I right?

Seems like between the devil and the deep blue sea to me…
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Re: making Mint14 kde 64 bit multiarch problem

Postby homerscousin on Thu May 09, 2013 7:51 pm

Does this help any http://askubuntu.com/questions/107230/w ... bs-package

I was going to install GoogleEarth. Apparently they don't make a 64 bit Linux version. I read about the ia32-libs and multiarch etc. Seemed a bit of a pain so I said, nevermind. That's the only URL I saved.
i5 3570k, ASRock z77 Extreme 4, 8 Gb Ripjaws 1600, Antec 430w psu, HVR 1600 tv tuner, custom case- marble top, oak face. Carver & DCM Time Window sound system. Mint 14 KDE.
homerscousin
Level 5
Level 5
 
Posts: 541
Joined: Fri May 25, 2012 2:43 pm
Location: Somewhere on planet Earth (mostly)

Re: making Mint14 kde 64 bit multiarch problem

Postby frisil on Thu May 09, 2013 9:06 pm

Thanks for the link, but this doesn't help. My problem seems to some kind of dependency hell. BTW, i can install skype and the 32bit libs that come with it without having anything uninstalled. So there must be something in the ia32-libs package that causes this. How can I find out what it is and work around it?
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Re: making Mint14 kde 64 bit multiarch problem

Postby xenopeek on Fri May 10, 2013 1:55 am

First, please prefix all your commands with LC_ALL=C so that you don't need to translate the output. Please try and see if there are any current dependency problems:
Code: Select all
LC_ALL=C sudo apt-get install -f
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14664
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: making Mint14 kde 64 bit multiarch problem

Postby frisil on Fri May 10, 2013 9:05 am

everything seems okay:

LC_ALL=C sudo apt-get install -f

Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 360 not upgraded.

thanks about the prefix, I didn't know about that!
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Re: making Mint14 kde 64 bit multiarch problem

Postby zerozero on Fri May 10, 2013 9:12 am

frisil wrote:0 upgraded, 0 newly installed, 0 to remove and 360 not upgraded.

i don't know if this will fix your problem or not but the first thing i would do is update the system.
maybe that would clear the other errors
zerozero
Level 16
Level 16
 
Posts: 6471
Joined: Tue Jul 07, 2009 2:29 pm

Re: making Mint14 kde 64 bit multiarch problem

Postby xenopeek on Fri May 10, 2013 10:52 am

Thanks zerozero, I missed that. Yes, probably that will. frisil, please do the following and afterwards try installing ia32-libs-multiarch again:
Code: Select all
apt update && apt upgrade
User avatar
xenopeek
Level 21
Level 21
 
Posts: 14664
Joined: Wed Jul 06, 2011 3:58 am
Location: The Netherlands

Re: making Mint14 kde 64 bit multiarch problem

Postby frisil on Fri May 10, 2013 9:12 pm

Okay, I'm a moron, sorry! That indeed was the problem. After I did the updates, I can install it and nothing has to be removed. It's installing in the background now and I really hope my system will still work when I reboot. I just wonder why apt couldn't tell me that some packages have to be updated and came up with this stupid solution of removing kde instead. Normally, it does tell me about necessary updates and just adds these to its list when I try to install something new that requires some packages to be updated.

Coming from Debian, I am very careful about general updates and I usually don't don't them if the system works. Almost every time I completely updated Debian there was something broken afterwards and needed a lot of time to fix. I forgot it's probably saver on Ubuntu/Mint. Well, I'll see in a few minutes…
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Re: making Mint14 kde 64 bit multiarch problem

Postby frisil on Fri May 10, 2013 9:48 pm

Okay, I'm back. Updates did break my OpenGL but after I ran sgfxi again and installed the newest nvidia driver everything seems to work again.
User avatar
frisil
Level 3
Level 3
 
Posts: 119
Joined: Wed Feb 04, 2009 10:24 pm

Linux Mint is funded by ads and donations.
 

Return to KDE

Who is online

Users browsing this forum: No registered users and 1 guest